$select-select-border-radius: $border-radius-basic;

.select__select {
  background: $color-white;
  border: 2px solid transparent;
  border-radius: $select-select-border-radius;
  color: $color-dark-gray;
  display: block;
  padding: 1rem;
  width: 100%;
  height: 3rem;
  &-header {
    height: rem(48px);
  }
  &-distance
  {
    font-size: .85rem;
  }
  &--hashtag-offer,
  &--hashtag-needed {
    & * {
      // text-transform: lowercase;
    }
    .ember-power-select-multiple-option {
      border-radius: 24px;
      color: $hashtag-color;
      display: inline-block;
      font-size: .85rem;
      padding: $hashtag-padding-x $hashtag-padding-y;
      border: none;
    }
    .ember-power-select-multiple-remove-btn {
      float: right;
      line-height: rem(21px);
    }
    &.ember-power-select-trigger {
      height: auto;
      min-height: rem(45px);
      line-height: rem(45px);
      padding: rem(5px) 0;
      font-size: .85rem;
    }
    & > ul > .ember-power-select-trigger-multiple-input {
      line-height: rem(35px);
      font-size: .85rem;
      margin-left: 5px;
    }
  }
  &--hashtag-offer {
    .ember-power-select-multiple-option {
      background-color: $color-green;
    }
  }
  &--hashtag-needed {
    .ember-power-select-multiple-option {
      background-color: $color-red;
    }
  }
}

.select__select:focus {
  border: 2px solid $color-gray;
  outline: 0;
}
